import packageJSON from './package.json'

interface TitleConfig {
  full: string
  short: string
}

interface BuildConfig {
  date?: string
  version: string
}

type config = {
  url: string
  shortener: string
  name: string
  title: TitleConfig
  description: string
  locale: string
  build: BuildConfig
}

export default {
  url: 'https://enderman.ch',
  shortener: 'https://go.enderman.ch',
  name: packageJSON.name || 'app',
  title: {
    full: "Enderman's Website",
    short: 'Enderman',
  },
  description:
    'A software engineer, a malware enthusiast and, most importantly, a weird tall creature. I have over 300K subscribers on YouTube and over 20K followers on Twitter.',
  locale: 'en',
  build: {
    date: new Date().toISOString().split('T')[0],
    version: packageJSON.version || '0.0.0',
  },
} satisfies config as config
