import type { Config } from 'tailwindcss'

export default <Partial<Config>>{
  theme: {
    extend: {
      screens: {
        sm: '600px',
        md: '960px',
        lg: '1280px',
        xl: '1920px',
        '2xl': '2560px',

        desktop: '960px',
        // Landscape Mobile (LM)
        lm: {
          raw: '(max-height: 600px)',
        },
        // Landscape Tablet (LT)
        lt: {
          raw: '(max-height: 996px) and (min-width: 601px) and (max-width: 1280px)',
        },
      },
      colors: {
        warning: '#FFF693',
        error: '#FF7171',
        info: '#5EA2FF',
        help: '#B268FF',
        checkmark: '#45FFFF',
        idea: '#FFFFFF',
      },
      fontFamily: {
        sans: [
          'Lato',
          'ui-sans-serif',
          'system-ui',
          'sans-serif',
          'Apple Color Emoji',
          'Segoe UI Emoji',
          'Segoe UI Symbol',
          'Noto Color Emoji',
        ],
        serif: [
          'Alexandria',
          'ui-serif',
          'Georgia',
          'Times New Roman',
          'serif',
        ],
        mono: [
          'JetBrains Mono',
          'Consolas',
          'Courier New',
          'ui-monospace',
          'monospace',
        ],
        alex: ['Alexandria', 'serif'],
        enchant: ['Enchant', 'serif'],
        lato: ['Lato', 'sans-serif'],
      },
    },
  },
  plugins: [
    require('@tailwindcss/typography'),
    // ...
  ],
}
